CREATE TABLE [consulenzaUnica].[dbo].[DettImmobiliare] (
    [chiaveProdottoTerzi] bigint NOT NULL,
    [descrizione] varchar(512) NULL,
    [codProvincia] varchar(15) NULL,
    [provincia] varchar(512) NULL,
    [codComune] bigint NULL,
    [comune] varchar(512) NULL,
    [idZona] int NULL,
    [codZona] varchar(15) NULL,
    [zona] varchar(512) NULL,
    [indirizzo] varchar(512) NULL,
    [superficie] decimal(19,7) NULL,
    [valoreImmobile] decimal(18,2) NULL,
    [valoreImmobileTotale] decimal(18,2) NULL,
    [renditaAnnua] decimal(19,3) NULL,
    [codTipologia] varchar(15) NULL,
    [tipologia] varchar(512) NULL,
    [quotaProprieta] decimal(18,2) NULL,
    [flagPrincipale] bit NULL,
    [tipologiaDiritto] varchar(255) NULL,
    [renditaCatastale] decimal(18,2) NULL,
    [tipoImmobile] varchar(1) NULL,
    [codFinalita] varchar(10) NULL,
    [valoreMQ] decimal(18,2) NULL,
    [finanziamentoResiduo] decimal(18,2) NULL,
    [redditoAgrario] decimal(18,2) NULL,
    [redditoDominicale] decimal(18,2) NULL,
    [dtStimaOMI] datetime NULL,
    [dtUltimaModifica] datetime NULL,
    [aliquotaIMU] decimal(18,7) NULL,
    [aliquotaTASI] decimal(18,7) NULL,
    [codNazioneEstera] bigint NULL
);
GO

-- Popolamento tabella
-- INSERT INTO [consulenzaUnica].[dbo].[DettImmobiliare]
-- SELECT * FROM [CONSUNI].[consulenzaUnica].[dbo].[DettImmobiliare];
-- GO